import { ActivatedRouteSnapshot, Router, RouterStateSnapshot, UrlTree } from '@angular/router';
import { Provider } from '@angular/core';
export declare class PermissionsConfig {
    permissions?: Record<string, string[] | '*'>;
    provider?: Provider;
    onPermissionDenied?: (router: Router, snapshot: ActivatedRouteSnapshot, state: RouterStateSnapshot) => UrlTree;
}
export interface PermissionOptions {
    mode?: PermissionMode;
}
export declare type PermissionMode = 'and' | 'or';
